Package com.smartgwt.client.types

# Enum SortDirection

java.lang.Object
java.lang.Enum<SortDirection>
com.smartgwt.client.types.SortDirection

All Implemented Interfaces:
  `ValueEnum`, `Serializable`, `Comparable<SortDirection>`, `Constable`

public enum SortDirection extends Enum<SortDirection> implements ValueEnum

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `ASCENDING`
  Sort in ascending order (e.g.
  `DESCENDING`
  Sort in descending order (e.g.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getValue()`
  `static SortDirection`
  `valueOf(String name)`
  Returns the enum constant of this type with the specified name.
  `static SortDirection[]`
  `values()`
  Returns an array containing the constants of this enum type, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### ASCENDING

    public static final SortDirection ASCENDING
    Sort in ascending order (e.g. A-Z; larger values later in the list)

    If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "ascending".

  - ### DESCENDING

    public static final SortDirection DESCENDING
    Sort in descending order (e.g. Z-A; larger values earlier in the list)

    If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "descending".

- ## Method Details

  - ### values

    public static SortDirection[] values()
    Returns an array containing the constants of this enum type, in the order they are declared.
    Returns:
      an array containing the constants of this enum type, in the order they are declared

  - ### valueOf

    public static SortDirection valueOf(String name)
    Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum type has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### getValue

    public String getValue()
    Specified by:
      `getValue` in interface `ValueEnum`